main.floors.MT3=
{
    "floorId": "MT3",
    "title": "魔塔 第03层",
    "name": "第 3 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1, 21, 28,  1, 21, 32, 21,  1,  0,  1,  0, 31,  1],
    [  1,  0, 31,  1, 32, 21, 32,  1,  0, 81,205,  0,  1],
    [  1,217,  0,  1, 21, 22, 21,  1,  0,  1,  1,  1,  1],
    [  1, 81,  1,  1,  1,  0,  1,  1,  0,  1,  0,121,  1],
    [  1,  0,  0,205,  0,  0,  0,201,  0,  0,  0,  0,  1],
    [  1, 81,  1,  1,  0,339,  0,  1,  0,  1,  1,  1,  1],
    [  1,209,  0,  1,  1, 49,  1,  1,  0,  1,  0, 31,  1],
    [  1,  0, 21,  1,  0,  0,  0,  1,  0, 81,217, 21,  1],
    [  1, 31, 27,  1,  0,  0,  0,  1,  0,  1,  1,  1,  1],
    [  1,  1,  1,  1,  1,  0,  1,  1,202,  1,  0,  0,  1],
    [  1, 88,  0,  0,  0,  0,  0,  1,  0, 81,  0, 87,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "bgm": "section1.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "11,4": [
            {
                "type": "insert",
                "name": "老人和商人的对话"
            }
        ],
        "5,6": [
            "\t[仙子,fairy]我可以给你回复${flag:踩到炸弹时的生命-601}点生命。",
            "\t[hero]我太需要了。",
            {
                "type": "setValue",
                "name": "status:hp",
                "operator": "+=",
                "value": "flag:踩到炸弹时的生命-601"
            },
            {
                "type": "playSound",
                "name": "item.mp3"
            },
            "\t[仙子,fairy]完成了。",
            "\t[hero]辛苦你了，我拿神圣剑和神圣盾跟你换。",
            {
                "type": "setValue",
                "name": "flag:nowWeapon",
                "value": "0"
            },
            {
                "type": "setValue",
                "name": "flag:nowShield",
                "value": "0"
            },
            {
                "type": "setValue",
                "name": "flag:no_betweenAttack",
                "value": "0"
            },
            {
                "type": "setValue",
                "name": "flag:half_zone",
                "value": "0"
            },
            {
                "type": "setValue",
                "name": "flag:half_repulse",
                "value": "0"
            },
            {
                "type": "setValue",
                "name": "status:atk",
                "operator": "-=",
                "value": "100"
            },
            {
                "type": "setValue",
                "name": "status:def",
                "operator": "-=",
                "value": "100"
            },
            {
                "type": "playSound",
                "name": "item.mp3"
            },
            "\t[仙子,fairy]您真客气。我听说铁剑在5楼，铁盾在9楼，不知道这消息对你是否有用。",
            {
                "type": "hide",
                "remove": true,
                "time": 250
            },
            {
                "type": "autoSave"
            }
        ],
        "5,7": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 0.2,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                {
                    "type": "playSound",
                    "name": "bomb.mp3"
                },
                {
                    "type": "hide",
                    "remove": true
                },
                {
                    "type": "if",
                    "condition": "(status:hp>600)",
                    "true": [
                        {
                            "type": "setValue",
                            "name": "flag:踩到炸弹时的生命",
                            "value": "status:hp"
                        },
                        {
                            "type": "setValue",
                            "name": "status:hp",
                            "value": "1"
                        },
                        {
                            "type": "tip",
                            "text": "你不小心踩到了炸弹，导致被炸伤！"
                        }
                    ],
                    "false": [
                        {
                            "type": "tip",
                            "text": "你不小心踩到了炸弹，导致被炸死！下次预留601生命再来吧。"
                        },
                        {
                            "type": "setValue",
                            "name": "status:hp",
                            "operator": "-=",
                            "value": "600"
                        }
                    ]
                },
                {
                    "type": "autoSave",
                    "nohint": true
                }
            ]
        }
    },
    "changeFloor": {
        "11,11": {
            "floorId": ":next",
            "stair": "downFloor",
            "time": 0
        },
        "1,11": {
            "floorId": ":before",
            "stair": "upFloor",
            "time": 0
        }
    },
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "fgmap": [

],
    "upFloor": [
        10,
        11
    ],
    "downFloor": [
        2,
        11
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}