main.floors.MT38=
{
    "floorId": "MT38",
    "title": "魔塔 第38层",
    "name": "第 38 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1, 88,  0, 83,216,  0,  0,  0,216, 81,  0, 87,  1],
    [  1,  0,  0,  1,  0,122, 21,  0,  0,  1,  0,  0,  1],
    [  1,212,  1,  1,225,  1,  1, 81,  1,  1,  1, 81,  1],
    [  1,  0,  0,  1,225, 82,  1,  0,  1, 21,  1,  0,  1],
    [  1,  1,  0,  1,  1, 82,  1,  0,  1, 21,  1,  0,  1],
    [  1,  0,  0,  0, 82, 82,  1,212,  1, 21,  1,212,  1],
    [  1,  0, 40,  0,  1,  1,  1,224,  1,  0,227,  0,  1],
    [  1,  0,  0,  0,  1, 28, 27,  0,  1,  1,  1, 81,  1],
    [  1,  1, 85,  1,  1,  1,  1,  1,  1, 21,  0,212,  1],
    [  1,222,  0,222,  1,  0,  0,  0,  1,  0,227,  0,  1],
    [  1,  0,  0,  0, 81,224,  0,213, 81,225,  0, 32,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 4,
    "defaultGround": "ground",
    "bgm": "section4.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "2,6": [
            {
                "type": "closeDoor",
                "id": "yellowWall",
                "loc": [
                    2,
                    5
                ]
            },
            {
                "type": "hide",
                "remove": true
            }
        ],
        "5,2": [
            {
                "type": "if",
                "condition": "switch:A",
                "true": [
                    {
                        "type": "insert",
                        "name": "老人和商人的对话"
                    }
                ],
                "false": [
                    {
                        "type": "choices",
                        "text": "\t[商人,woman]出3把黄钥匙，只要200金币。业界良心。",
                        "choices": [
                            {
                                "text": "我太需要了",
                                "action": [
                                    {
                                        "type": "if",
                                        "condition": "(status:money>=200)",
                                        "true": [
                                            {
                                                "type": "setValue",
                                                "name": "status:money",
                                                "operator": "-=",
                                                "value": "200"
                                            },
                                            {
                                                "type": "setValue",
                                                "name": "item:yellowKey",
                                                "operator": "+=",
                                                "value": "3"
                                            },
                                            {
                                                "type": "setValue",
                                                "name": "switch:A",
                                                "value": "1"
                                            }
                                        ],
                                        "false": [
                                            "\t[商人,woman]你的钱不够。"
                                        ]
                                    }
                                ]
                            },
                            {
                                "text": "下次再说",
                                "action": []
                            }
                        ]
                    }
                ]
            }
        ],
        "0,0": [
            {
                "type": "if",
                "condition": "(flag:38楼骑士盾门===1)",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            2,
                            9
                        ]
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:38楼骑士盾门",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ]
    },
    "changeFloor": {
        "11,1": {
            "floorId": ":next",
            "stair": "downFloor",
            "time": 0
        },
        "1,1": {
            "floorId": ":before",
            "stair": "upFloor",
            "time": 0
        }
    },
    "afterBattle": {
        "1,10": [
            {
                "type": "if",
                "condition": "(flag:38楼骑士盾门1!==1)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT38"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:38楼骑士盾门1",
                        "value": "1"
                    }
                ]
            }
        ],
        "3,10": [
            {
                "type": "if",
                "condition": "(flag:38楼骑士盾门2!==1)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT38"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:38楼骑士盾门2",
                        "value": "1"
                    }
                ]
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "fgmap": [

],
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "upFloor": [
        10,
        1
    ],
    "downFloor": [
        2,
        1
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}