main.floors.MT40=
{
    "floorId": "MT40",
    "title": "魔塔 第40层",
    "name": "第 40 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,  0,  0,  0,  0,  0,226,  0,  0,  0,  0,  0,  1],
    [  1,  0,224,224,224,  0,  0,  0,227,227,227,  0,  1],
    [  1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1],
    [  1,  0,  0,212,212,212,  0,225,225,225,  0,  0,  1],
    [  1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1],
    [  1,  1,  1,  1,  0,  0,  0,  0,  0,  1,  1,  1,  1],
    [  1,  1,  1,  1,  0,  0,  0,  0,  0,  1,  1,  1,  1],
    [  1,  1,  1,  1,  1,  1, 83,  1,  1,  1,  1,  1,  1],
    [  1, 28, 21,  0,  1,216,  0,216,  1, 31,224,  0,  1],
    [  1, 32,  0,  0,  1,  0,  0,  0,  1,225,  0,  0,  1],
    [  1, 27,  0,227, 82,  0,  0,  0, 81,  0,  0, 88,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 4,
    "defaultGround": "ground",
    "bgm": "section4.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "6,7": [
            {
                "type": "changePos",
                "direction": "up"
            },
            {
                "type": "if",
                "condition": "(flag:40楼偷袭骑士团!==0)",
                "true": [
                    "\t[骑士队长,yellowKnight]偷袭不过是小伎俩。",
                    {
                        "type": "setBlock",
                        "number": "ghostSkeleton",
                        "loc": [
                            [
                                3,
                                4
                            ]
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "ghostSkeleton",
                        "loc": [
                            [
                                4,
                                4
                            ]
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "ghostSkeleton",
                        "loc": [
                            [
                                5,
                                4
                            ]
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "soldier",
                        "loc": [
                            [
                                7,
                                4
                            ]
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "soldier",
                        "loc": [
                            [
                                8,
                                4
                            ]
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "soldier",
                        "loc": [
                            [
                                9,
                                4
                            ]
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "swordsman",
                        "loc": [
                            [
                                2,
                                2
                            ]
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "swordsman",
                        "loc": [
                            [
                                3,
                                2
                            ]
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "swordsman",
                        "loc": [
                            [
                                4,
                                2
                            ]
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "redKnight",
                        "loc": [
                            [
                                8,
                                2
                            ]
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "redKnight",
                        "loc": [
                            [
                                9,
                                2
                            ]
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "redKnight",
                        "loc": [
                            [
                                10,
                                2
                            ]
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "yellowKnight",
                        "loc": [
                            [
                                6,
                                1
                            ]
                        ]
                    },
                    {
                        "type": "setValue",
                        "name": "flag:40楼偷袭骑士团",
                        "value": "0"
                    }
                ]
            },
            {
                "type": "closeDoor",
                "id": "specialDoor",
                "loc": [
                    6,
                    8
                ]
            },
            {
                "type": "playBgm",
                "name": "boss4.mp3"
            },
            {
                "type": "setEnemy",
                "id": "ghostSkeleton",
                "name": "special",
                "value": "[1]"
            },
            {
                "type": "setEnemy",
                "id": "soldier",
                "name": "special",
                "value": "[1]"
            },
            {
                "type": "setEnemy",
                "id": "swordsman",
                "name": "special",
                "value": "[1]"
            },
            {
                "type": "setEnemy",
                "id": "redKnight",
                "name": "special",
                "value": "[1]"
            },
            "\t[骑士队长,yellowKnight]我还在担心你不能来了。我确信这次我一定能杀了你。",
            {
                "type": "callBook"
            },
            "\t[骑士队长,yellowKnight]鬼战士给我上！",
            {
                "type": "move",
                "loc": [
                    5,
                    4
                ],
                "time": 100,
                "keep": true,
                "steps": [
                    "down:1",
                    "right:1",
                    "down:1"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    6,
                    6
                ]
            },
            {
                "type": "move",
                "loc": [
                    4,
                    4
                ],
                "time": 100,
                "keep": true,
                "steps": [
                    "right:1",
                    "down:1",
                    "right:1",
                    "down:1"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    6,
                    6
                ]
            },
            {
                "type": "move",
                "loc": [
                    3,
                    4
                ],
                "time": 100,
                "keep": true,
                "steps": [
                    "right:2",
                    "down:1",
                    "right:1",
                    "down:1"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    6,
                    6
                ]
            },
            "\t[骑士队长,yellowKnight]鬼战士只是先头部队。战士们给我上！",
            {
                "type": "move",
                "loc": [
                    7,
                    4
                ],
                "time": 100,
                "keep": true,
                "steps": [
                    "down:1",
                    "left:1",
                    "down:1"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    6,
                    6
                ]
            },
            {
                "type": "move",
                "loc": [
                    8,
                    4
                ],
                "time": 100,
                "keep": true,
                "steps": [
                    "left:1",
                    "down:1",
                    "left:1",
                    "down:1"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    6,
                    6
                ]
            },
            {
                "type": "move",
                "loc": [
                    9,
                    4
                ],
                "time": 100,
                "keep": true,
                "steps": [
                    "left:2",
                    "down:1",
                    "left:1",
                    "down:1"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    6,
                    6
                ]
            },
            "\t[骑士队长,yellowKnight]战士们也败了？但没关系，接下来才是真正的主力。双手剑士，把他给我砍碎！",
            {
                "type": "move",
                "loc": [
                    4,
                    2
                ],
                "time": 100,
                "keep": true,
                "steps": [
                    "down:1",
                    "right:1",
                    "down:1",
                    "right:1",
                    "down:2"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    6,
                    6
                ]
            },
            {
                "type": "move",
                "loc": [
                    3,
                    2
                ],
                "time": 100,
                "keep": true,
                "steps": [
                    "right:1",
                    "down:1",
                    "right:1",
                    "down:1",
                    "right:1",
                    "down:2"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    6,
                    6
                ]
            },
            {
                "type": "move",
                "loc": [
                    2,
                    2
                ],
                "time": 100,
                "keep": true,
                "steps": [
                    "right:2",
                    "down:1",
                    "right:1",
                    "down:1",
                    "right:1",
                    "down:2"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    6,
                    6
                ]
            },
            "\t[骑士队长,yellowKnight]什么？你竟还在站着！骑士们，给我冲锋！",
            {
                "type": "move",
                "loc": [
                    8,
                    2
                ],
                "time": 100,
                "keep": true,
                "steps": [
                    "down:1",
                    "left:1",
                    "down:1",
                    "left:1",
                    "down:2"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    6,
                    6
                ]
            },
            {
                "type": "move",
                "loc": [
                    9,
                    2
                ],
                "time": 100,
                "keep": true,
                "steps": [
                    "left:1",
                    "down:1",
                    "left:1",
                    "down:1",
                    "left:1",
                    "down:2"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    6,
                    6
                ]
            },
            {
                "type": "move",
                "loc": [
                    10,
                    2
                ],
                "time": 100,
                "keep": true,
                "steps": [
                    "left:2",
                    "down:1",
                    "left:1",
                    "down:1",
                    "left:1",
                    "down:2"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    6,
                    6
                ]
            },
            "\t[骑士队长,yellowKnight]你怎会击败我所有的手下？我和你誓不两立，我决不认输！",
            {
                "type": "move",
                "loc": [
                    6,
                    1
                ],
                "time": 100,
                "keep": true,
                "steps": [
                    "down:5"
                ]
            },
            {
                "type": "battle",
                "loc": [
                    6,
                    6
                ]
            },
            {
                "type": "setBlock",
                "number": "yellowKnight",
                "loc": [
                    [
                        6,
                        6
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "upFloor",
                "loc": [
                    [
                        6,
                        1
                    ]
                ]
            },
            {
                "type": "move",
                "loc": [
                    6,
                    6
                ],
                "time": 50,
                "keep": true,
                "steps": [
                    "up:4"
                ]
            },
            "\t[骑士队长,yellowKnight]这次我还是状态不佳，我先饶了你。下次再碰到我会和你正式的决斗，你最好直接投降。",
            {
                "type": "move",
                "loc": [
                    6,
                    2
                ],
                "time": 50,
                "steps": [
                    "up:1"
                ]
            },
            {
                "type": "setEnemy",
                "id": "ghostSkeleton",
                "name": "special",
                "value": "[0]"
            },
            {
                "type": "setEnemy",
                "id": "soldier",
                "name": "special",
                "value": "[0]"
            },
            {
                "type": "setEnemy",
                "id": "swordsman",
                "name": "special",
                "value": "[0]"
            },
            {
                "type": "setEnemy",
                "id": "redKnight",
                "name": "special",
                "value": "[0]"
            },
            {
                "type": "insert",
                "loc": [
                    2,
                    0
                ],
                "floorId": "MT40"
            }
        ],
        "6,1": [
            {
                "type": "if",
                "condition": "(flag:40楼骑士队长击败===1)",
                "true": [
                    {
                        "type": "changeFloor",
                        "floorId": ":next",
                        "stair": "downFloor",
                        "direction": "down",
                        "time": 0
                    }
                ]
            }
        ],
        "2,0": [
            {
                "type": "hide",
                "loc": [
                    [
                        6,
                        7
                    ]
                ],
                "remove": true
            },
            {
                "type": "show",
                "loc": [
                    [
                        6,
                        10
                    ]
                ],
                "floorId": "MT42"
            },
            {
                "type": "setBlock",
                "number": "yellowKey",
                "loc": [
                    [
                        2,
                        2
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "yellowKey",
                "loc": [
                    [
                        3,
                        2
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "yellowKey",
                "loc": [
                    [
                        4,
                        2
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "redGem",
                "loc": [
                    [
                        8,
                        2
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "redGem",
                "loc": [
                    [
                        9,
                        2
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "redGem",
                "loc": [
                    [
                        10,
                        2
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "bluePotion",
                "loc": [
                    [
                        3,
                        4
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "bluePotion",
                "loc": [
                    [
                        4,
                        4
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "bluePotion",
                "loc": [
                    [
                        5,
                        4
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "blueGem",
                "loc": [
                    [
                        7,
                        4
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "blueGem",
                "loc": [
                    [
                        8,
                        4
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "blueGem",
                "loc": [
                    [
                        9,
                        4
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "upFloor",
                "loc": [
                    [
                        6,
                        1
                    ]
                ]
            },
            {
                "type": "show",
                "loc": [
                    [
                        2,
                        2
                    ],
                    [
                        3,
                        2
                    ],
                    [
                        4,
                        2
                    ],
                    [
                        8,
                        2
                    ],
                    [
                        9,
                        2
                    ],
                    [
                        10,
                        2
                    ],
                    [
                        3,
                        4
                    ],
                    [
                        4,
                        4
                    ],
                    [
                        5,
                        4
                    ],
                    [
                        7,
                        4
                    ],
                    [
                        8,
                        4
                    ],
                    [
                        9,
                        4
                    ],
                    [
                        6,
                        1
                    ]
                ]
            },
            {
                "type": "openDoor",
                "loc": [
                    6,
                    8
                ]
            },
            {
                "type": "setValue",
                "name": "flag:40楼骑士队长击败",
                "value": "1"
            }
        ],
        "0,0": [
            {
                "type": "if",
                "condition": "(flag:40楼偷袭骑士团===12)",
                "true": [
                    "\t[骑士队长,yellowKnight]你竟然偷袭我们。这次先饶了你，下次碰到我会和你正式的决斗，你最好投降。",
                    {
                        "type": "insert",
                        "loc": [
                            2,
                            0
                        ],
                        "floorId": "MT40"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:40楼偷袭骑士团",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ]
    },
    "changeFloor": {
        "11,11": {
            "floorId": ":before",
            "stair": "upFloor",
            "time": 0
        }
    },
    "afterBattle": {
        "2,2": [
            {
                "type": "if",
                "condition": "(flag:40楼偷袭骑士团1!==1)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:40楼偷袭骑士团1",
                        "value": "1"
                    }
                ]
            }
        ],
        "3,2": [
            {
                "type": "if",
                "condition": "(flag:40楼偷袭骑士团2!==1)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:40楼偷袭骑士团2",
                        "value": "1"
                    }
                ]
            }
        ],
        "4,2": [
            {
                "type": "if",
                "condition": "(flag:40楼偷袭骑士团3!==1)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:40楼偷袭骑士团3",
                        "value": "1"
                    }
                ]
            }
        ],
        "8,2": [
            {
                "type": "if",
                "condition": "(flag:40楼偷袭骑士团4!==1)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:40楼偷袭骑士团4",
                        "value": "1"
                    }
                ]
            }
        ],
        "9,2": [
            {
                "type": "if",
                "condition": "(flag:40楼偷袭骑士团5!==1)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:40楼偷袭骑士团5",
                        "value": "1"
                    }
                ]
            }
        ],
        "10,2": [
            {
                "type": "if",
                "condition": "(flag:40楼偷袭骑士团6!==1)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:40楼偷袭骑士团6",
                        "value": "1"
                    }
                ]
            }
        ],
        "3,4": [
            {
                "type": "if",
                "condition": "(flag:40楼偷袭骑士团12!==1)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:40楼偷袭骑士团12",
                        "value": "1"
                    }
                ]
            }
        ],
        "4,4": [
            {
                "type": "if",
                "condition": "(flag:40楼偷袭骑士团11!==1)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:40楼偷袭骑士团11",
                        "value": "1"
                    }
                ]
            }
        ],
        "5,4": [
            {
                "type": "if",
                "condition": "(flag:40楼偷袭骑士团10!==1)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:40楼偷袭骑士团10",
                        "value": "1"
                    }
                ]
            }
        ],
        "7,4": [
            {
                "type": "if",
                "condition": "(flag:40楼偷袭骑士团9!==1)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:40楼偷袭骑士团9",
                        "value": "1"
                    }
                ]
            }
        ],
        "8,4": [
            {
                "type": "if",
                "condition": "(flag:40楼偷袭骑士团8!==1)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:40楼偷袭骑士团8",
                        "value": "1"
                    }
                ]
            }
        ],
        "9,4": [
            {
                "type": "if",
                "condition": "(flag:40楼偷袭骑士团7!==1)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:40楼偷袭骑士团7",
                        "value": "1"
                    }
                ]
            }
        ],
        "6,1": [
            {
                "type": "if",
                "condition": "(flag:40楼偷袭骑士团13!==1)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:40楼偷袭骑士团13",
                        "value": "1"
                    }
                ]
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "fgmap": [

],
    "upFloor": [
        6,
        2
    ],
    "downFloor": [
        10,
        11
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}